VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | List of all members
CSegmentButton::Segment Struct Reference

`#include <csegmentbutton.h>`

## Public Attributes
UTF8String | name
SharedPointer< CBitmap > | icon
SharedPointer< CBitmap > | iconHighlighted
SharedPointer< CBitmap > | background
SharedPointer< CBitmap > | backgroundHighlighted
CDrawMethods::IconPosition | iconPosition
CRect | rect
bool | selected {false}

## Member Data Documentation

## ◆ background

SharedPointer<CBitmap> background
| mutable

## ◆ backgroundHighlighted

SharedPointer<CBitmap> backgroundHighlighted
| mutable

## ◆ icon

SharedPointer<CBitmap> icon
| mutable

## ◆ iconHighlighted

SharedPointer<CBitmap> iconHighlighted
| mutable

## ◆ iconPosition

CDrawMethods::IconPosition iconPosition
| mutable

## ◆ name

UTF8String name
| mutable

## ◆ rect

CRect rect

## ◆ selected

bool selected {false}

The documentation for this struct was generated from the following file:

- csegmentbutton.h